# Generated by Django 4.2.3 on 2023-10-14 12:32

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('auth', '0012_alter_user_first_name_max_length'),
        ('djangoldp_community', '0011_auto_20220711_0837'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='community',
            options={'default_permissions': {'control', 'change', 'delete', 'view', 'add'}, 'ordering': ['slug'], 'verbose_name': 'community', 'verbose_name_plural': 'communities'},
        ),
        migrations.AlterModelOptions(
            name='communityaddress',
            options={'default_permissions': {'control', 'change', 'delete', 'view', 'add'}, 'verbose_name': 'community address', 'verbose_name_plural': 'community addresses'},
        ),
        migrations.AlterModelOptions(
            name='communitycircle',
            options={'default_permissions': {'control', 'change', 'delete', 'view', 'add'}, 'verbose_name': 'community circle', 'verbose_name_plural': 'community circles'},
        ),
        migrations.AlterModelOptions(
            name='communityjoboffer',
            options={'default_permissions': {'control', 'change', 'delete', 'view', 'add'}, 'verbose_name': 'community job offer', 'verbose_name_plural': 'community job offers'},
        ),
        migrations.AlterModelOptions(
            name='communitymember',
            options={'default_permissions': {'control', 'change', 'delete', 'view', 'add'}, 'ordering': ['pk'], 'verbose_name': 'community member', 'verbose_name_plural': 'community members'},
        ),
        migrations.AlterModelOptions(
            name='communityprofile',
            options={'default_permissions': {'control', 'change', 'delete', 'view', 'add'}, 'verbose_name': 'community profile', 'verbose_name_plural': 'community profiles'},
        ),
        migrations.AlterModelOptions(
            name='communityproject',
            options={'default_permissions': {'control', 'change', 'delete', 'view', 'add'}, 'verbose_name': 'community project', 'verbose_name_plural': 'community projects'},
        ),
        migrations.AddField(
            model_name='community',
            name='admins',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='admin_community', to='auth.group'),
        ),
        migrations.AddField(
            model_name='community',
            name='members',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='community', to='auth.group'),
        ),
        migrations.AlterField(
            model_name='community',
            name='urlid',
            field=djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True),
        ),
        migrations.AlterField(
            model_name='communityaddress',
            name='urlid',
            field=djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True),
        ),
        migrations.AlterField(
            model_name='communitycircle',
            name='circle',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='oldcommunity', to='djangoldp_circle.circle'),
        ),
        migrations.AlterField(
            model_name='communitycircle',
            name='community',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='oldcircles', to='djangoldp_community.community'),
        ),
        migrations.AlterField(
            model_name='communitycircle',
            name='urlid',
            field=djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True),
        ),
        migrations.AlterField(
            model_name='communityjoboffer',
            name='community',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='oldjoboffers', to='djangoldp_community.community'),
        ),
        migrations.AlterField(
            model_name='communityjoboffer',
            name='joboffer',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='oldcommunity', to='djangoldp_joboffer.joboffer'),
        ),
        migrations.AlterField(
            model_name='communityjoboffer',
            name='urlid',
            field=djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True),
        ),
        migrations.AlterField(
            model_name='communitymember',
            name='community',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='oldmembers', to='djangoldp_community.community'),
        ),
        migrations.AlterField(
            model_name='communitymember',
            name='urlid',
            field=djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True),
        ),
        migrations.AlterField(
            model_name='communitymember',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='oldcommunities', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='communityprofile',
            name='urlid',
            field=djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True),
        ),
        migrations.AlterField(
            model_name='communityproject',
            name='community',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='oldprojects', to='djangoldp_community.community'),
        ),
        migrations.AlterField(
            model_name='communityproject',
            name='project',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='oldcommunity', to='djangoldp_project.project'),
        ),
        migrations.AlterField(
            model_name='communityproject',
            name='urlid',
            field=djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True),
        ),
    ]
